import express from 'express'
import userCtrl from '../controllers/user.controller.js'

const router = express.Router()
//router의 역할 : './주소'부분을 처리하는 역할함. 

router.route('/users/signup')
    .post(userCtrl.signup)

router.route(`/users/:userId`)
    .post(userCtrl.logineduser)
    .put(userCtrl.changenick)


export default router